import setuptools
import os

def get_package_name():
    packages = ["make-sbom", "beartype"]
    find_package_name("spdx_tools", packages)
    find_package_name("beartype", packages)
    return packages

def find_package_name(dir_path, packages) :
    dir_list = []
    list = os.listdir(dir_path)
    recursive_find_package_name(dir_path, list, dir_list)

    for p in dir_list:
        packages.append(p.replace('/','.'))

def recursive_find_package_name(dir_path, list, dir_list):
    add_list =[]
    for f in list:
        if os.path.isdir(os.path.join(dir_path, f)):
            add_list.append(dir_path+ "/" +f)
    for f in add_list:
        dir_list.append(f)
        recursive_find_package_name(f, os.listdir(f), dir_list)

setuptools.setup(
    name='make-sbom',
    version='1.0.1',
    author='Reika Yamazaki',
    author_email='reika.yamazaki@atmark-techno.com',
    description='AtmarkTechno make-sbom package',
    packages=get_package_name(),
    data_files=[
        ('share/make-sbom/config', ['config/config.yaml']),
    ],
    scripts=['bin/make_sbom.sh'],
    classifiers=[
            'Programming Language :: Python :: 3',
            'Programming Language :: Python :: 3.9',
            'Programming Language :: Python :: 3.10',
            'Programming Language :: Python :: 3.11',
    ],
    license='LICENSE',
    long_description="This is a tool for making sbom.",
)
